Package de.willuhn.jameica.hbci.server

# Class BPDUtil.Support

java.lang.Object
de.willuhn.jameica.hbci.server.BPDUtil.Support

Enclosing class:
  `BPDUtil`

public static class BPDUtil.Support extends Object
Enthaelt die Support-Informationen fuer einen Geschaeftsvorfall.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.util.TypedProperties`
`getBpd()`
Liefert die BPD-Parameter fuer den Geschaeftsvorfall.
`boolean`
`getBpdSupport()`
Liefert true, wenn der Geschaeftsvorfall laut BPD unterstuetzt wird.
`Konto`
`getKonto()`
Liefert das Konto, fuer das die Abfrage durchgefuehrt wurde.
`Integer`
`getMaxVersion()`
Liefert die hoechste unterstuetzte Versionsnummer laut BPD.
`BPDUtil.Query`
`getQuery()`
Liefert das Query zu den Support-Informationen.
`boolean`
`getUpdSupport()`
Liefert true, wenn der Geschaeftsvorfall laut UPD unterstuetzt wird.
`boolean`
`isSupported()`
Liefert true, wenn der Geschaeftsvorfall laut BPD und UPD unterstuetzt wird.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getKonto

public Konto getKonto()
Liefert das Konto, fuer das die Abfrage durchgefuehrt wurde.

Returns:
  das Konto, fuer das die Abfrage durchgefuehrt wurde.

### getQuery

public BPDUtil.Query getQuery()
Liefert das Query zu den Support-Informationen.

Returns:
  das Query zu den Support-Informationen.

### getMaxVersion

public Integer getMaxVersion()
Liefert die hoechste unterstuetzte Versionsnummer laut BPD.

Returns:
  die hoechste unterstuetzte Versionsnummer laut BPD.

### getBpdSupport

public boolean getBpdSupport()
Liefert true, wenn der Geschaeftsvorfall laut BPD unterstuetzt wird.

Returns:
  true, wenn der Geschaeftsvorfall laut BPD unterstuetzt wird.

### getUpdSupport

public boolean getUpdSupport()
Liefert true, wenn der Geschaeftsvorfall laut UPD unterstuetzt wird.

Returns:
  true, wenn der Geschaeftsvorfall laut UPD unterstuetzt wird.

### isSupported

public boolean isSupported()
Liefert true, wenn der Geschaeftsvorfall laut BPD und UPD unterstuetzt wird.

Returns:
  true, wenn der Geschaeftsvorfall laut BPD und UPD unterstuetzt wird.

### getBpd

public de.willuhn.util.TypedProperties getBpd()
Liefert die BPD-Parameter fuer den Geschaeftsvorfall.

Returns:
  die BPD-Parameter fuer den Geschaeftsvorfall.